Subject: bug#39736: closed (Re: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Aug 2020 19:52:01 +0000

Your bug report

#38394: 27.0.60; wrong display of scaled checkerd pattern image

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38394: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38394
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out
From: Alan Third <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Tue, 4 Aug 2020 21:51:34 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 04, 2020 at 10:52:47AM +0200, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > It should be possible, I just don't know how. I've never done any
> > Cairo work before...
> >
> > Turned out to be pretty simple. Patch attached.
> 
> Then I think this should be applied to Emacs 28, and we'll get some
> feedback on whether people prefer it this way or not.

I worked out how to do it under NS too, so I've added that and pushed
to master.
-- 
Alan Third

Subject: 27.0.60; wrong display of scaled checkerd pattern image
From: [email-masked]
To: [email-masked]
Date: Sat, 22 Feb 2020 23:26:54 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

A scaled checkered pattern image is converted into a solid gray image.
I expect a large chechered pattern.
Evaluating the form below, a solid gray square is displayed.

(let ((data "\
P1
8 8
01010101
10101010
01010101
10101010
01010101
10101010
01010101
10101010
"))
  (insert-image (create-image data 'pbm t :scale 8)))

The form below temporally displays another image.
The upper side is gray, the lower-left corner is black,
and the lower-right corner is white.
Once the text cursor gets on the image, the whole image is displayed as
a gray square.

(let ((data "P1\n2 2\n01\n10")
      (buf (generate-new-buffer "tmp")))
  (switch-to-buffer buf)
  (insert "\na")
  (goto-char (point-min))
  (redisplay)
  (insert-image (create-image data 'pbm t :scale 16)))

In GNU Emacs 27.0.60 (build 1, x86_64-w64-mingw32)
 of 2019-12-29 built on CIRROCUMULUS
Repository revision: 21c3020fcec0a32122d2680a391864a75393031b
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Pro (v10.0.1909.18363.657)

Recent messages:

Configured using:
 'configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install -C 'CFLAGS=-O2 -static -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: JPN
  locale-coding-system: cp932

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(thingatpt xref project ring gnutls network-stream nsm mailalias
smtpmail auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs json
map cl-extra misearch multi-isearch pp shadow sort mail-extr emacsbug
message rmc puny dired dired-loaddefs format-spec rfc822 mml mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils term/bobcat help-fns radix-tree cl-print
debug backtrace help-mode easymenu find-func cl-loaddefs cl-lib
japan-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table term/w32-win w32-win
w32-vars term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads w32notify w32 lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 69135 12815)
 (symbols 48 7851 5)
 (strings 32 22941 1828)
 (string-bytes 1 729921)
 (vectors 16 15072)
 (vector-slots 8 259276 24684)
 (floats 8 37 321)
 (intervals 56 709 0)
 (buffers 1000 18))